> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keyapi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user following list

> Get user following list

When requesting for the first time, pass 0 for max_time, pass 2 for source_type, and an empty fans list will be returned, which contains max_time, then pass the max_time returned by the previous request for paging each time, pass 1 for source_type, you can get the fans list.

If you do not request according to the above method, it may cause the returned data to contain duplicate data.

<div className="inline-flex items-center gap-2 px-4 py-2 bg-yellow-50 dark:bg-yellow-900/20 border border-yellow-200 dark:border-yellow-800 rounded-lg">
  <span className="text-base">🪙</span>
  <span className="text-sm font-medium text-yellow-900 dark:text-yellow-100"><span className="font-semibold">2 credit</span><span className="text-yellow-700 dark:text-yellow-300 ml-1">per request</span></span>
</div>

## Copy for AI

<div className="my-6 rounded-xl border border-gray-200 bg-gray-50 p-5 dark:border-gray-800 dark:bg-gray-900/40">
  <div className="min-w-0">
    <p className="text-base font-semibold text-gray-900 dark:text-gray-100">🤖 Why Code When AI Can Do It For You?</p>
    <p className="mt-1 text-sm text-gray-700 dark:text-gray-300">Stop writing code like it’s 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.</p>
  </div>

  <div className="mt-4">
    <button
      type="button"
      className="inline-flex items-center gap-2 rounded-md border border-emerald-300 bg-emerald-50 px-3 py-2 text-sm font-medium text-emerald-800 hover:bg-emerald-100 dark:border-emerald-700 dark:bg-emerald-900/30 dark:text-emerald-100 dark:hover:bg-emerald-900/50"
      onClick={() => navigator.clipboard.writeText(`I need to call the following KeyAPI endpoint. Please generate a complete and directly runnable Python example based on the API information provided below.

## API Information

Endpoint: GET https://api.keyapi.ai/v1/douyin/web/fetch_user_following_list
Summary: Get user following list

Required Headers:
- Authorization: Bearer <YOUR_API_KEY>

Parameters:
- sec_user_id (Required): User sec_user_id. Example: MS4wLjABAAAAgq8cb7cn9ByhZbmx-XQDdRTvFzmJeBBXOUO4QflP96M
- max_time (Optional): Maximum timestamp, default is 0, get from the returned data later, used for paging. Example: 0
- count (Optional): Number, default is 20, it is recommended to keep it unchanged. Example: 20
- source_type (Optional): Source type, default is \`1\`, use \`2\` as the source type for the first request, and then use \`1\` as the source type for the subsequent request. Example: 1


## Code Requirements

- Use the Python \`requests\` library
- Provide a complete and directly runnable example
- Handle HTTP request errors, timeouts, and non-2xx responses
- Handle JSON parsing errors
- Prefer the Example values provided in the API information for sample parameters
- Keep the code simple and avoid unnecessary abstractions or complexity
`)}
    >
      ✨ Copy for AI
    </button>
  </div>
</div>


## OpenAPI

````yaml en/douyin-web.openapi.json GET /v1/douyin/web/fetch_user_following_list
openapi: 3.0.1
info:
  title: Douyin Web API english documentation
  description: English reference documentation for the Douyin Web API.
  version: 1.0.0
servers:
  - url: https://api.keyapi.ai
    description: Production-KeyAPI
security:
  - JWT Bearer: []
tags: []
paths:
  /v1/douyin/web/fetch_user_following_list:
    get:
      tags: []
      summary: Get user following list
      description: >-
        Get user following list


        When requesting for the first time, pass 0 for max_time, pass 2 for
        source_type, and an empty fans list will be returned, which contains
        max_time, then pass the max_time returned by the previous request for
        paging each time, pass 1 for source_type, you can get the fans list.


        If you do not request according to the above method, it may cause the
        returned data to contain duplicate data.
      parameters:
        - name: sec_user_id
          in: query
          description: User sec_user_id
          required: true
          example: MS4wLjABAAAAgq8cb7cn9ByhZbmx-XQDdRTvFzmJeBBXOUO4QflP96M
          schema:
            type: string
            default: MS4wLjABAAAA9y04iBlVdeMQqTJbqsQZKb-tqWqWW29jPVJqideHT70
        - name: max_time
          in: query
          description: >-
            Maximum timestamp, default is 0, get from the returned data later,
            used for paging.
          required: false
          example: '0'
          schema:
            type: string
            default: '0'
        - name: count
          in: query
          description: Number, default is 20, it is recommended to keep it unchanged.
          required: false
          example: 20
          schema:
            type: integer
            default: 20
        - name: source_type
          in: query
          description: >-
            Source type, default is `1`, use `2` as the source type for the
            first request, and then use `1` as the source type for the
            subsequent request.
          required: false
          example: 1
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                type: object
                properties: {}
              example:
                code: 0
                message: success
                data: {}
                requestId: 2c59c78f-a0fc-4adc-8201-d801a05b8412
          headers: {}
        '400':
          $ref: '#/components/responses/400'
          description: Bad Request
        '401':
          $ref: '#/components/responses/401'
          description: Unauthorized
        '402':
          $ref: '#/components/responses/402'
          description: Payment Required
        '429':
          $ref: '#/components/responses/429'
          description: Too Many Requests
        '500':
          $ref: '#/components/responses/500'
          description: Internal Server Error
      deprecated: false
      security:
        - JWT Bearer: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.keyapi.ai/v1/douyin/web/fetch_user_following_list?sec_user_id=MS4wLjABAAAAgq8cb7cn9ByhZbmx-XQDdRTvFzmJeBBXOUO4QflP96M&max_time=0&count=20&source_type=1' \
              --header 'Authorization: Bearer <YOUR_API_KEY>'
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.get(
                'https://api.keyapi.ai/v1/douyin/web/fetch_user_following_list',
                params={"sec_user_id": "MS4wLjABAAAAgq8cb7cn9ByhZbmx-XQDdRTvFzmJeBBXOUO4QflP96M", "max_time": "0", "count": 20, "source_type": 1},
                headers={'Authorization': 'Bearer <YOUR_API_KEY>'}
            )
            print(response.json())
        - lang: javascript
          label: JavaScript
          source: >-
            const params = new URLSearchParams({"sec_user_id":
            "MS4wLjABAAAAgq8cb7cn9ByhZbmx-XQDdRTvFzmJeBBXOUO4QflP96M",
            "max_time": "0", "count": 20, "source_type": 1});


            const response = await
            fetch(`https://api.keyapi.ai/v1/douyin/web/fetch_user_following_list?${params}`,
            {
              method: 'GET',
              headers: { 'Authorization': 'Bearer <YOUR_API_KEY>' }
            });

            const data = await response.json();

            console.log(data);
components:
  responses:
    '400':
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            example:
              code: 400
              data: null
              message: 'Missing required parameter: handle'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            example:
              code: 401
              data: null
              message: apiKey is null
    '402':
      description: Payment Required
      content:
        application/json:
          schema:
            type: object
            example:
              code: 402
              data: null
              message: apiKey quota is not enough
    '429':
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            example:
              code: 429
              data: null
              message: qps limit exceeded
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            example:
              code: 500
              data: null
              message: Internal server error
  securitySchemes:
    JWT Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        API key for authentication. Format: `sk_live_xxxxxxxxxxxxx`
        Get your API key from the [Dashboard](http://keyapi.ai/app/dashboard).

````